Invocation
Date: 2015-09-15

org.jmock.core

## Class Invocation

- java.lang.Object
- - org.jmock.core.Invocation

- All Implemented Interfaces:
    SelfDescribing

      public class Invocation
      extends java.lang.Object
      implements SelfDescribing

  The static details about a method and the run-time details of its invocation.
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.reflect.Method` | `invokedMethod`
    `java.lang.Object` | `invokedObject`
    `java.util.List` | `parameterValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Invocation(java.lang.Object invoked, java.lang.reflect.Method method, java.lang.Object[] parameterValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkReturnTypeCompatibility(java.lang.Object result)`
    `java.lang.StringBuffer` | `describeTo(java.lang.StringBuffer buffer)` Appends the description of this object to the buffer.
    `boolean` | `equals(Invocation other)`
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### invokedObject

          public final java.lang.Object invokedObject

    - #### invokedMethod

          public final java.lang.reflect.Method invokedMethod

    - #### parameterValues

          public final java.util.List parameterValues

  - ### Constructor Detail

    - #### Invocation

          public Invocation(java.lang.Object invoked,
                    java.lang.reflect.Method method,
                    java.lang.Object[] parameterValues)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Invocation other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### describeTo

          public java.lang.StringBuffer describeTo(java.lang.StringBuffer buffer)

      Description copied from interface: `SelfDescribing`
      Appends the description of this object to the buffer.
      Specified by:
        `describeTo` in interface `SelfDescribing`
      Parameters:
        `buffer` - The buffer that the description is appended to.
      Returns:
        The buffer passed to the invokedMethod.

    - #### checkReturnTypeCompatibility

          public void checkReturnTypeCompatibility(java.lang.Object result)